%global __brp_check_rpaths %{nil}
%global __requires_exclude ^libmpi
%global packname  bpbounds
%global packver   0.1.6
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          0.1.6
Release:          1%{?dist}%{?buildtag}
Summary:          Nonparametric Bounds for the Average Causal Effect Due to Balke and Pearl and Extensions

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel >= 4.0.0
Requires:         R-core >= 4.0.0
BuildArch:        noarch

%description
Implementation of the nonparametric bounds for the average causal effect
under an instrumental variable model by Balke and Pearl (Bounds on
Treatment Effects from Studies with Imperfect Compliance, JASA, 1997, 92,
439, 1171-1176, <doi:10.2307/2965583>). The package can calculate bounds
for a binary outcome, a binary treatment/phenotype, and an instrument with
either 2 or 3 categories. The package implements bounds for situations
where these 3 variables are measured in the same dataset (trivariate data)
or where the outcome and instrument are measured in one study and the
treatment/phenotype and instrument are measured in another study
(bivariate data).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
[ -d %{packname}/src ] && find %{packname}/src/Make* -type f -exec \
  sed -i 's@-g0@@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
